name: regex-sub-profile
description: Profile for regex substitutions
dicom:
  date-increment: 17
  fields:
    - name: PatientID
      regex-sub:
        - input-regex: '(?P<current_pid>.*\/.*)'
          output: '{current_pid}_{PatientBirthDate}'
          groups:
            - name: current_pid
              replace-with: 'one_cool_cat'
            - name: PatientBirthDate
              increment-date: true
        - input-regex: '(?P<pid_keep>.*)_(?P<noun>.*)_(?P<date>[0-9]+)'
          output: '{pid_keep}_{noun}{AcquisitionTime}'
          groups:
            - name: AcquisitionTime
              keep: true
            - name: noun
              replace-with: cucumber
    - name: "ReferencedPerformedProcedureStepSequence.*.ReferencedSOPInstanceUID"
      regex-sub:
        - input-regex: '(?P<uid>.*)'
          output: '{uid}.123'
    - name: PatientBirthDate
      increment-date: true
    - regex: ".*Time"
      remove: true
